{% load reviews_tags %}
{% load thumbnail %}
{% load i18n %}
{% load display_tags %}
{% load staticfiles %}
{% load purchase_info_tags %}
{% load product_delivery_day %}

{% purchase_info_for_product request product as session %}

{% with session.price as price %}
    {% with session.availability.is_available_to_buy as is_available_to_buy %}
        {% with price.has_range_discount as has_range_discount %}
            <div class="catalog-slider__box__item js-row-container loading {% if not session.availability.is_available_to_buy %} preoder {% endif %}"
                data-pk={{product.pk}}>
                <div class="loading__overlay"></div>
                <img src="{% static 'img/icons/gift.png' %}" class="loading__gif" alt="">
                <div class="item-tags">
                    {% if product.present %}
                        <img src="{% static 'img/icons/tags/gift.png' %}" title="Подарок к покупке" alt="" class="gift img-svg">
                    {% endif %}
                    {% if has_range_discount %}
                        <img src="{% static 'img/icons/tags/discount.png' %}" title="Скидка" alt="Скидка" class="gift img-svg">
                    {% endif %}
                </div>

                {% with image=product.primary_image %}
                    {% thumbnail image.original "210x220" padding=True as thumb %}
                        <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}" class="item-img">
                            <img src="{{ thumb.url }}" alt="{{ product.get_title }}">
                        </a>
                    {% endthumbnail %}
                {% endwith %}
                <div class="item-content">
                    <h2 class="item-title">
                        <a href="{{ product.get_absolute_url }}{{ product_parent_pointer }}">{{ product.get_title }}</a>
                    </h2>
                    <div class="item-price">
                        {% if has_range_discount %}
                            <div class="past-price">
                                {% if price.is_tax_know %}
                                    {{ price.incl_tax|floatformat:0 }}
                                {% else %}
                                    {{ price.excl_tax|floatformat:0 }}
                                {% endif %}
                                <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg" alt="рублей">
                            </div>
                        {% endif %}
                        <div class="current-price">
                            {% if has_range_discount %}
                                {% if price.is_tax_know %}
                                    {{ price.incl_range_discount_incl_tax|floatformat:0 }}
                                {% else %}
                                    {{ price.incl_range_discount_excl_tax|floatformat:0 }}
                                {% endif %}
                            {% else %}
                                {% if price.is_tax_know %}
                                    {{ price.incl_tax|floatformat:0 }}
                                {% else %}
                                    {{ price.excl_tax|floatformat:0 }}
                                {% endif %}
                            {% endif %}
                            <img src="{% static 'img/icons/price.svg' %}" class="currency img-svg"  alt="рублей">
                        </div>
                    </div>
                    <div class="item-features">
                        <div class="item-feature">
                            <span>Артикул:</span>
                            <b>{{ product.upc }}</b>
                        </div>
                        {% for attribute_value in product.attribute_values.all %}
                            {% if attribute_value.attribute.display_in_preview and attribute_value.value %}
                                <div class="item-feature">
                                    <span>{{ attribute_value.attribute.name }}:</span>
                                    <b>{{ attribute_value.value_as_text|striptags }}</b>
                                </div>
                            {% endif %}
                        {% endfor %}
                    </div>
                    <div class="fixed-block">
                        {% if session.availability.is_available_to_buy %}
                            <div class="item-descriptions">
                                {% get_delivery_day product %}
                                {% if product.quantity > 0 %}
                                <div class="description">
                                    <img src="{% static 'img/icons/systemic/ok.svg' %}" alt="">
                                    в наличии в шоуруме
                                    <a href="#" data-modal="modal_info_showroom" class="popup-open"><img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                                </div>
                                {% endif %}
                            </div>
                        {% else %}
                            <div class="item-preoder">
                                доступен по предзаказу
                                <a href="#" data-modal="modal_info_preoder" class="popup-open">
                                <img src="{% static 'img/icons/16px/question.svg' %}" class="question img-svg" alt=""></a>
                            </div>
                        {% endif %}
                        {% if not product.is_parent %}
                            {% with product.pk|stringformat:"s" as key %}
                                {% with submit_prefix as submit_prefix %}
                                {% with "product-preview-add-form_"|add:submit_prefix|add:product.product_class.slug|add:key as form_name %}
                                    {% include "catalogue/partials/add_to_basket_form_compact.html" with product=product name=form_name btn_class="item-cart" %}
                                {% endwith %}
                                {% endwith %}
                            {% endwith %}
                        {% endif %}
                    </div>
                    {% if session.availability.is_available_to_buy %}
                        {% include "catalogue/partials/fast_purchase.html" %}
                    {% else %}
                        {% include "catalogue/partials/preorder.html" %}
                {#        <button class="fast-buy popup-open" data-modal="modal_fastBuy">Быстрая покупка</button>#}
                    {% endif %}
                </div>
            </div>
        {% endwith %}
    {% endwith %}
{% endwith %}